%define 	module	TwistedWeb2
%define		major	8.1
%define		minor	0

Summary:	Web library for Twisted
Summary(pl.UTF-8):	Biblioteka Web dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Web2/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	e34b48edf6fef075bd41ddbd215aed32
URL:		http://twistedmatrix.com/trac/wiki/TwistedWeb2
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 2.4.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-TwistedCore >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Web2 is a web application server written in pure Python, with
APIs at multiple levels of abstraction to facilitate different kinds
of web programming.

%description -l pl.UTF-8
Twisted Web2 to serwer aplikacji WWW napisany w czystym Pythonie z API
o wielu poziomach abstrakcji, mających ułatwić różne rodzaje
programowania WWW.

%package doc
Summary:	Documentation for TwistedWeb2
Summary(pl.UTF-8):	Dokumentacja do TwistedWeb2
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedWeb2.

%description doc -l pl.UTF-8
Dokumentacja offline do TwistedWeb2.

%package examples
Summary:	Example programs for TwistedWeb2
Summary(pl.UTF-8):	Programy przykładowe do TwistedWeb2
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedWeb2.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla TwistedWeb2.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%py_install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/web2
%{py_sitedir}/twisted/plugins/twisted_web2.py[co]

#%files doc
#%defattr(644,root,root,755)

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TwistedWeb2.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> c82d68f
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c0bbed2
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f846156
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 03845a3
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e954e49
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7321bee
- drop obsolete files

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> 8eb6c97
- BR: python 2.5 (for .egg-info), rpm-pythonprov

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> d6a0118
- updated to 8.1.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df95464
- release 2

* Fri May 02 2008 luzik <luzik@pld-linux.org> 64cae6a
- updated to 8.0.0

* Fri Feb 01 2008 Patryk Zawadzki <patrys@room-303.com> 7f73ef7
- make it work
- rel 1

* Fri Feb 01 2008 Patryk Zawadzki <patrys@room-303.com> eb55804
- make it work with current Core

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c14e8de
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ceaba73
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> c3a65e4
- cp -a implies cp -r

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 6e3c701
- don't produce empty doc package

* Thu Aug 24 2006 aredridel <aredridel@pld-linux.org> 28e6264
- added

